## gate.creole.tokeniser
Class DefaultTokeniser

    java.lang.Object
      |
      +--gate.util.AbstractFeatureBearer
            |
            +--gate.creole.AbstractResource
                  |
                  +--gate.creole.AbstractProcessingResource
                        |
                        +--gate.creole.AbstractLanguageAnalyser
                              |
                              +--gate.creole.tokeniser.DefaultTokeniser

All Implemented Interfaces:
  Executable, FeatureBearer, LanguageAnalyser, NameBearer, ProcessingResource, Resource, Serializable

public class DefaultTokeniser
extends AbstractLanguageAnalyser

A composed tokeniser containing a `SimpleTokeniser` and a `Transducer`. The simple tokeniser tokenises the document and the transducer processes its output.

See Also:
  Serialized Form

Constructor Summary
`DefaultTokeniser()`

Method Summary
`void` `execute()` Starts the execution of this executable
`String` `getAnnotationSetName()`
`String` `getEncoding()`
`URL` `getTokeniserRulesURL()`
`URL` `getTransducerGrammarURL()`
`Resource` `init()` Initialise this resource, and return it.
`void` `interrupt()` Notifies all the PRs in this controller that they should stop their execution as soon as possible.
`void` `setAnnotationSetName(String annotationSetName)`
`void` `setEncoding(String encoding)`
`void` `setTokeniserRulesURL(URL tokeniserRulesURL)`
`void` `setTransducerGrammarURL(URL transducerGrammarURL)`

Methods inherited from class gate.creole.AbstractLanguageAnalyser
`getCorpus, getDocument, setCorpus, setDocument`

Methods inherited from class gate.creole.AbstractProcessingResource
`addProgressListener, addStatusListener, cleanup, isInterrupted, reInit, removeProgressListener, removeStatusListener`

Methods inherited from class gate.creole.AbstractResource
`checkParameterValues, getName, getParameterValue, getParameterValue, removeResourceListeners, setName, setParameterValue, setParameterValue, setParameterValues, setParameterValues, setResourceListeners`

Methods inherited from class gate.util.AbstractFeatureBearer
`getFeatures, setFeatures`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface gate.ProcessingResource
`isInterrupted, reInit`

Methods inherited from interface gate.Resource
`cleanup, getParameterValue, setParameterValue, setParameterValues`

Methods inherited from interface gate.util.FeatureBearer
`getFeatures, setFeatures`

Methods inherited from interface gate.util.NameBearer
`getName, setName`

Constructor Detail

### DefaultTokeniser

    public DefaultTokeniser()

Method Detail

### init

    public Resource init()
                  throws ResourceInstantiationException

  Initialise this resource, and return it.
  Overrides:
    `init` in class `AbstractProcessingResource`

### execute

    public void execute()
                 throws ExecutionException

  Description copied from interface: `Executable`
  Starts the execution of this executable
  Overrides:
    `execute` in class `AbstractProcessingResource`

### interrupt

    public void interrupt()

  Notifies all the PRs in this controller that they should stop their execution as soon as possible.
  Overrides:
    `interrupt` in class `AbstractProcessingResource`

### setTokeniserRulesURL

    public void setTokeniserRulesURL(URL tokeniserRulesURL)

### getTokeniserRulesURL

    public URL getTokeniserRulesURL()

### setEncoding

    public void setEncoding(String encoding)

### getEncoding

    public String getEncoding()

### setTransducerGrammarURL

    public void setTransducerGrammarURL(URL transducerGrammarURL)

### getTransducerGrammarURL

    public URL getTransducerGrammarURL()

### setAnnotationSetName

    public void setAnnotationSetName(String annotationSetName)

### getAnnotationSetName

    public String getAnnotationSetName()